#!/usr/bin/env python
# -*- Mode: Python; -*-
# -*- coding: utf-8 -*-
# vi:si:et:sw=2:sts=2:ts=2
from urllib import quote

import feedparser

from  utils import read_url


def get_episodes(show_title):
  search_url = "http://tvrss.net/search/index.php?distribution_group=combined&show_name=%s&show_name_exact=true&filename=&date=&quality=&release_group=&mode=rss" % quote(show_title)
  data = read_url(search_url)
  fd = feedparser.parse(search_url)
  episodes = {}
  for t in fd.entries:
    episode = get_episode_string(t['summary'])
    episodes[episode] = t['enclosures'][0]['href']
  return episodes
